Bug 16677 - Use abbr for authorities linked headings
Summary: Use abbr for authorities linked headings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-07 07:26 UTC by Fridolin Somers
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16677 - Use abbr for authorities linked headings (3.76 KB, patch)
2016-06-07 10:43 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 16677 - Use abbr for authorities linked headings (3.93 KB, patch)
2016-06-15 16:03 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 16677 - Use abbr for authorities linked headings (3.99 KB, patch)
2016-06-24 18:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2016-06-07 07:26:23 UTC
In authorities search results, UNIMARC flavour, linked headings are displayed with a link type : BT, NT, UF, RT.

This patch adds a abbr tag around those acronyms to know there meaning :
BT = Broader Term
NT = Narrower Term
UF = Used For
RT = Related Term

Acronyms are used because there can be a lot of linked headings, using abbr will display the complete text on mouse over.
Comment 1 Fridolin Somers 2016-06-07 10:43:53 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-06-15 16:03:00 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-24 18:27:04 UTC
Created attachment 52861 [details] [review]
Bug 16677 - Use abbr for authorities linked headings

In authorities search results, UNIMARC flavour, linked headings are displayed
with a link type : BT, NT, UF, RT.

This patch adds a abbr tag around those acronyms to know there meaning :
BT = Broader Term
NT = Narrower Term
UF = Used For
RT = Related Term

Acronyms are used because there can be a lot of linked headings, using abbr
will display the complete text on mouse over.

Test plan :

- Use UNIMARC database
- Create an authority with :
250 $a Heading250a
450 $a Heading450a
550 $5 a $a Heading550a
550 $5 g $a Heading550g
550 $5 h $a Heading550h
- Save an index zebraqueue
- Go to intranet authorities search
- Search for "Heading250a"
- You see :
Heading250a
Heading250a
UF: Heading450a
RT: Heading550a ; BT: Heading550g ; NT: Heading550h
- Move your mouse over the acronyms, you see a tip with the complete text
- Same with opac authorities search

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Works as described. Translatable.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-07-08 14:28:19 UTC
Pushed to master for 16.11, thanks Frido!
Comment 5 Frédéric Demians 2016-08-01 13:34:53 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 15:37:55 UTC
Patches pushed to 3.22.x, will be in 3.22.10